package common.util;

import static java.lang.annotation.ElementType.FIELD;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(FIELD)
@Retention(value = RetentionPolicy.RUNTIME)
public @interface Var {
	String name();
	float min() default (float)Integer.MIN_VALUE;
	float max() default (float)Integer.MAX_VALUE;
	boolean nonDefault() default false;
}